=head1 NAME

Gnome2::DateEdit - wrapper for GnomeDateEdit

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::HBox
                                +----Gnome2::DateEdit



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable



=cut


=head1 METHODS

=head2 widget = Gnome2::DateEdit-E<gt>B<new> ($the_time, $show_time, $use_24_format)

=over

=item * $the_time (a timestamp) 

=item * $show_time (boolean) 

=item * $use_24_format (boolean) 

=back

=head2 widget = Gnome2::DateEdit-E<gt>B<new_flags> ($the_time, $flags)

=over

=item * $the_time (a timestamp) 

=item * $flags (Gnome2::DateEditFlags) 

=back

=head2 scalar = $gde-E<gt>B<get_flags> 

=head2 $gde-E<gt>B<set_flags> ($flags)

=over

=item * $flags (Gnome2::DateEditFlags) 

=back

=head2 a timestamp = $gde-E<gt>B<get_initial_time> 

=head2 $gde-E<gt>B<set_popup_range> ($low_hour, $up_hour)

=over

=item * $low_hour (integer) 

=item * $up_hour (integer) 

=back

=head2 a timestamp = $gde-E<gt>B<get_time> 

=head2 $gde-E<gt>B<set_time> ($the_time)

=over

=item * $the_time (a timestamp) 

=back



=cut


=head1 PROPERTIES

=over

=item 'dateedit-flags' (Gnome2::DateEditFlags : default show-time : readable / writable)

Flags for how DateEdit looks

=item 'initial-time' (Glib::ULong : default 0 : readable / writable)

The initial time

=item 'lower-hour' (integer : default 7 : readable / writable)

Lower hour in the time popup selector

=item 'time' (Glib::ULong : default 0 : readable / writable)

The time currently selected

=item 'upper-hour' (integer : default 19 : readable / writable)

Upper hour in the time popup selector

=back



=cut


=head1 SIGNALS

=over

=item B<date-changed> (Gnome2::DateEdit)

=item B<time-changed> (Gnome2::DateEdit)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gnome2::DateEditFlags

=over

=item * 'show-time' / 'GNOME_DATE_EDIT_SHOW_TIME'

=item * '24-hr' / 'GNOME_DATE_EDIT_24_HR'

=item * 'week-starts-on-monday' / 'GNOME_DATE_EDIT_WEEK_STARTS_ON_MONDAY'

=item * 'display-seconds' / 'GNOME_DATE_EDIT_DISPLAY_SECONDS'

=back




=cut


=head1 SEE ALSO

L<Gnome2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Box>, L<Gtk2::HBox>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2004 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2> for a full notice.



=cut

